## ssh-import-id 5.7

=== debian/changelog ===
ssh-import-id (5.7-0ubuntu1.1) bionic; urgency=medium

  * Convert source foramt to "3.0 (quilt)", implicitly removing
    ssh_import_id.egg-info presumably included in last upload by 
    mistake.
  * Backport some fixes from cosmic:
    - d/patches/0001-lp-1770302-output-flushing.patch: Ensure error
      messages in fetch_keys_gh get flushed by replacing calls to print
      with calls to die and calls to os._exit() with calls to sys.exit. 
      (LP: #1770302)
    - d/patches/0002-lp-1770503-launchpad-error-checking.patch: Check
      status code of response when fetching ssh keys from Launchpad.
      (LP: #1770305)
    - d/patches/0003-lp-1570997-find-keys-no-HOME.patch: Get path to
      user's authorized_keys even if HOME is not set.  (LP: #1570997)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 17 May 2018 11:40:43 +1200

ssh-import-id (5.7-0ubuntu1) artful; urgency=medium

  [ Scott Moser ]
  * ssh_import_id/__init__.py: LP: #1570997
    - read_keyfile: use getpass and expanduser if HOME not set.
      If the HOME environment variable was not set, then use getpass and
      expanduser to try to find the right path.
      Recreate was as simple as:
        env -u HOME ssh-import-id bob

  [ Dustin Kirkland ]
  * ssh_import_id/__init__.py:
    - fix typo, missing colon

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Sep 2016 10:13:35 -0500

ssh-import-id (5.6-0ubuntu1) yakkety; urgency=medium

  [ Mitsuya Shibata ]
  * ssh_import_id/__init__.py: LP: #1565275
    - fix bug, where only the last key from github was getting added

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Sep 2016 10:13:31 -0500

ssh-import-id (5.5-0ubuntu1) xenial; urgency=medium

  * debian/control, debian/rules, setup.py, ssh_import_id/__init__.py:
    - patches adapted from Barry Warsaw
    - drop pkg_resources as a dependency
    - hardcode/update module version in __init__.py
    - should fix python 3.5 unit test failures

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 18 Feb 2016 12:38:56 -0800

ssh-import-id (5.4-0ubuntu1) xenial; urgency=medium

  * debian/rules:
    - disable python 3.5 tests;  fix ftbfs as unit tests try to import
      ssh_import_id, which is the module we're trying to build here

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Feb 2016 16:54:14 -0800

ssh-import-id (5.3-0ubuntu1) xenial; urgency=medium

  * setup.py:
    - try fixing ftbfs by removing py_modules

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Feb 2016 12:16:57 -0800

ssh-import-id (5.2-0ubuntu1) xenial; urgency=medium

  * debian/control:
    - try to fix ftbfs, seems we need python3-requests in the build stage

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 16 Feb 2016 11:24:48 -0800

ssh-import-id (5.1-0ubuntu1) xenial; urgency=medium

  * debian/control:
    - add shlibs to depends, hopefully fix ftbfs

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Feb 2016 22:13:39 -0600

ssh-import-id (5.0-0ubuntu1) xenial; urgency=medium

  * === added directory etc, === added directory etc/ssh, === added
    directory ssh_import_id, === added directory usr, === added
    directory usr/bin, === added directory usr/share, === added
    directory usr/share/man, === added directory usr/share/man/man1,
    bin/ssh-import-id-gh => usr/bin/ssh-import-id-gh, bin/ssh-import-id-
    lp => usr/bin/ssh-import-id-lp, bin/ssh-import-id =>
    ssh_import_id/__init__.py (properties changed: +x to -x),
    debian/control, debian/install, debian/manpages, debian/rules, ===
    removed directory bin, setup.py, ssh-import-id.1 =>
    usr/share/man/man1/ssh-import-id.1, ssh_import_id =>
    etc/ssh/ssh_import_id, usr/bin/ssh-import-id:
    - build depend on dh-python
    - simplify package install, etc/ and usr/
    - syntax check both locations
    - build an ssh_import_id python package/module
    - put all common functionality into an ssh_import_id module
    - add a browser useragent string, for protocol version support on the server
    - move ssh-import-id-lp and ssh-import-id-gh functionality into a base
      python function, and wrap those with shell
    - remove a couple of subcommand shell outs by using native python calls
  * setup.py, ssh_import_id/__init__.py:
    - bump major version to 5.0, major changes here
  * debian/rules, setup.py:
    - add scripts back to setup.py
  * ssh_import_id/__init__.py:
    - add extra blank line back, for readability
  * debian/control, ssh_import_id/__init__.py:
    - use pkg_resources to get __version__, depend on package

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 30 Jan 2016 09:46:50 -0600

ssh-import-id (4.5-0ubuntu1) wily; urgency=medium

  [ Andres Riancho and Dustin Kirkland ]
  * bin/ssh-import-id-gh: LP: #1397332
    - handle two github error conditions (rate limiting and user
      not found)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Oct 2015 18:32:53 -0500

ssh-import-id (4.4-0ubuntu1) wily; urgency=medium

  * bin/ssh-import-id-gh, bin/ssh-import-id-lp, setup_helpers.py,
    setup.py: LP: #1428840
    - make ssh-import-id work with both python2.7 and python3
    - revert previous changes with classifiers and testing for
      python3

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Oct 2015 18:15:51 -0500

ssh-import-id (4.3-0ubuntu1) wily; urgency=medium

  * === added symlink README, setup.py, === target is uREADME.md:
    - fix setup.py classifiers
  * setup.py:
    - require 3.2 final
  * setup.py (properties changed: -x to +x):
    - make executable

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Oct 2015 17:52:27 -0500

ssh-import-id (4.2-0ubuntu1) wily; urgency=medium

  [ Barry Warsaw and Dustin Kirkland ]
  * setup_helpers.py, setup.py:
    - ensure that pypi/pip installs require python3,
      https://github.com/cmars/ssh-import-id/issues/6

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 05 Oct 2015 17:44:17 -0500

ssh-import-id (4.1-0ubuntu1) vivid; urgency=medium

  * setup.py:

