=== debian/control ===
Source: ssh-import-id
Section: misc
Priority: extra
Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 8),
               dh-python,
               python3-all,
               python3-pep8,
               python3-requests (>= 1.1.0),
               python3-setuptools
Standards-Version: 3.9.6
X-Python3-Version: >= 3.2
Homepage: http://launchpad.net/ssh-import-id
Vcs-Browser: http://bazaar.launchpad.net/~ssh-import-id/ssh-import-id/trunk/files
Vcs-Bzr: https://code.launchpad.net/~ssh-import-id/ssh-import-id/trunk

Package: ssh-import-id
Architecture: all
Depends: ca-certificates,
         openssh-client,
         python3-requests (>= 1.1.0),
         wget,
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: openssh-server
Description: securely retrieve an SSH public key and install it locally
 This utility will securely contact a public keyserver (Launchpad.net by
 default, but Github.com is also supported), retrieve one or more user's
 public keys, and append these to the current user's ~/.ssh/authorized_keys
 file.
