=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	# Check syntax
	python3 /usr/lib/python3/dist-packages/pep8.py --verbose --repeat --ignore W191,E501,E121 ssh_import_id/* usr/bin/ssh-import-id
	dh_auto_build

%:
	dh $@ --with python3 --buildsystem=pybuild
