=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: ssh-import-id
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
-               python3-pep8,
                python3-requests (>= 1.1.0),
                python3-setuptools
-Standards-Version: 3.9.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.1.3
 Homepage: http://launchpad.net/ssh-import-id
 Vcs-Browser: http://bazaar.launchpad.net/~ssh-import-id/ssh-import-id/trunk/files
 Vcs-Bzr: https://code.launchpad.net/~ssh-import-id/ssh-import-id/trunk
@@ -22,7 +20,6 @@
          python3-requests (>= 1.1.0),
          wget,
          ${misc:Depends},
-         ${shlibs:Depends},
          ${python3:Depends}
 Recommends: openssh-server
 Description: securely retrieve an SSH public key and install it locally
