## ssh-import-id 5.10

=== debian/changelog ===
ssh-import-id (5.10-3) unstable; urgency=medium

  * Team upload.
  * Revert to old debhelper-compat as per RT request.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 22 May 2025 17:17:48 +0200

ssh-import-id (5.10-2) unstable; urgency=medium

  * Team upload.
  * Rebuild drops pkg_resources dependency (Closes: #1099157)
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 22 May 2025 09:13:49 +0200

ssh-import-id (5.10-1) unstable; urgency=medium

  * New upstream release (Closes: #953243).
  * debian/watch: Update for new release naming.
  * debian/postinst: Drop as no longer needed.
  * debian/control:
    - Update Vcs fields for Salsa move.
    - Bump Standards-Version to 4.5.0
    - Depend on python3-distro.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 08 Mar 2020 19:48:01 -0400

ssh-import-id (5.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.2.
   - Change priority from extra to optional.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 27 Dec 2017 19:31:16 -0500

ssh-import-id (5.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Update Vcs fields for move to git.
   - Bump Standards-Version to 3.9.8, no changes.
   - Move myself to the maintainer field.
   - Drop python-pep8 from build deps.
   - Update deps for Python 3.
  * Build with pybuild and Python 3.
  * Bump debian/compat to 10.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 24 Dec 2016 16:58:57 -0500

ssh-import-id (3.21-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 27 Apr 2014 10:48:35 -0400

ssh-import-id (3.19-1) unstable; urgency=low

  * debian/control:
    - drop the breaks/replaces ssh-import;  this package hasn't existed for
      eons; we should never realistically encounter it any more
    - add vcs-browser

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Aug 2013 15:17:18 -0500

ssh-import-id (3.18-1) unstable; urgency=low

  * attic/ssh-import-id, attic/ssh-import-id.py, === removed directory
    attic:
    - fully deprecate the old versions of these scripts; no longer necessary
  * debian/control:
    - bump standards
    - merge some minor changes from Andrew Starr-Bochicchio
    - add Andrew Starr-Bochicchio <asb@debian.org> as an uploader
    - adjust formatting and indentation to match Andrew's
  * debian/copyright:
    - update debian copyright file format
  * debian/postinst:
    - add inline comments for Debian
  * debian/watch:
    - add a debian watch file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 16 Aug 2013 15:17:16 -0500

ssh-import-id (3.17-1) unstable; urgency=low

  * Another no-change release for Ubuntu

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Apr 2013 09:49:51 -0500

ssh-import-id (3.16-1) unstable; urgency=low

  * Empty release for upload to Ubuntu saucy
    - ssh-import-id 3.15 was released after raring closed, but before
      saucy opened

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 29 Apr 2013 09:40:34 -0500

ssh-import-id (3.15-1) unstable; urgency=low

  * bin/ssh-import-id: LP: #1172434
    - create the keyfile destination directory, if necessary

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 24 Apr 2013 21:41:01 -0500

ssh-import-id (3.14-1) unstable; urgency=low

  * bin/ssh-import-id-gh, bin/ssh-import-id-lp: LP: #1155252
    - python requests module must be >= 1.1.0, for ssl certificate
      verification and proper quoting; fall back to wget if module
      is available, but older

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Mar 2013 10:12:40 -0500

ssh-import-id (3.13-1) unstable; urgency=low

  * debian/rules:
    - fix FTBFS, no need to syntax check setup.py

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Feb 2013 16:58:04 -0600

ssh-import-id (3.12-1) unstable; urgency=low

  * debian/control:
    - note github.com in the package description
  * bin/ssh-import-id, ssh-import-id.1:
    - rename the --revoke option to --remove
    - we're not really "revoking" keys, but rather just removing them
      from the authorized_keys file

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 15 Feb 2013 15:03:53 -0600

ssh-import-id (3.11-1) unstable; urgency=low

  * bin/ssh-import-id:
    - cleanup tempfiles left around in case we die() early

 -- Dustin Kirkland <kirkland@ubuntu.com>  Fri, 08 Feb 2013 12:35:13 -0600

ssh-import-id (3.10-1) unstable; urgency=low

  * bin/ssh-import-id:
    - show key type in info messages

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 17:45:18 -0600

ssh-import-id (3.9-1) unstable; urgency=low

  * bin/ssh-import-id-lp:
    - ensure that URL is not None before using it
    - fixes exception when URL is not defined in config file and not in
      the environment

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 11:33:29 -0600

ssh-import-id (3.8-1) unstable; urgency=low

  * No change release; our Python and Debian/Ubuntu version numbers got
    out of sync due to a bug in my release script

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 11:20:40 -0600

ssh-import-id (3.7-1) unstable; urgency=low

  * bin/ssh-import-id-lp:
    - another fix for Mac OS X

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 10:16:59 -0600

ssh-import-id (3.6-1) unstable; urgency=low

  * setup.py:
    - fix pip install on Mac

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 07 Feb 2013 09:52:36 -0600

ssh-import-id (3.5-1) unstable; urgency=low

  * bin/ssh-import-id, ssh-import-id.1:
    - support key revocation through a -r|--revoke option

