=== debian/watch ===
version=4
https://launchpad.net/ssh-import-id/+download https://launchpad.net/ssh-import-id/.*/ssh-import-id-([.\d]+)\.tar\.gz
