## ssh-import-id 5.11

=== debian/changelog ===
ssh-import-id (5.11-0ubuntu3) plucky; urgency=medium

  * Ensure ssh-import-id (the binary package) depends on python3-launchpadlib
    (LP: #2085898).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Wed, 30 Oct 2024 10:19:01 +0100

ssh-import-id (5.11-0ubuntu2) noble; urgency=medium

  * Add support for Launchpad teams (LP: #1745538).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 28 Feb 2024 10:19:22 -0600

ssh-import-id (5.11-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
    - Release 5.11 [Robie Basak]
    - Remove dependency on requests module [Shivaram Lingamneni]
    - Update tox to current versions of pycodestyle (2.5.0) and pylint
      (2.4.4). [Scott Moser]
    - Fix pylint warnings. [Scott Moser]
  * d/control: remove dependency on requests module [Robie Basak]

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 11 Feb 2021 15:34:06 +0000
