=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: ssh-import-id
 Section: misc
 Priority: optional
-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
                python3-distro,
-               python3-requests (>= 1.1.0),
+               python3-launchpadlib,
                python3-setuptools
-Standards-Version: 4.6.1
-Homepage: https://launchpad.net/ssh-import-id
+Standards-Version: 4.5.0
+Homepage: http://launchpad.net/ssh-import-id
 Vcs-Git: https://salsa.debian.org/debian/ssh-import-id.git
 Vcs-Browser: https://salsa.debian.org/debian/ssh-import-id
 
@@ -17,8 +18,8 @@
 Architecture: all
 Depends: ca-certificates,
          openssh-client,
-         python3-requests (>= 1.1.0),
          python3-distro,
+         python3-launchpadlib,
          wget,
          ${misc:Depends},
          ${python3:Depends}
