=== debian/watch ===
version=3
http://launchpad.net/ssh-import-id/+download https://launchpad.net/ssh-import-id/.*/ssh-import-id-([.\d]+)\.tar\.gz
